Subject: Re: c_cc[VTIME] not working under NT
From: "Michael Besl" <[email-masked]>
To: "egor duda" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 14 Aug 2002 14:28:31 +0200

Hi Egor, hi all,

i found the problem! It´s not a problem with cygwin it is a problem with the
SIEMENS PG and its COM2. The application i wrote works at an other PC
perfect with both COM-Ports. But it is really important to use the select()
command instead the c_cc[VTIME]!!!

Thank your very much
    Mick

-----Ursprüngliche Nachricht-----
Von: egor duda <[email-masked]>
An: Michael Besl <[email-masked]>
Cc: [email-masked] <[email-masked]>
Datum: Mittwoch, 14. August 2002 14:54
Betreff: Re: c_cc[VTIME] not working under NT

>Hi!
>
>Wednesday, 14 August, 2002 Michael Besl [email-masked] wrote:
>
>MB> Hi Egor, hi all,
>
>MB> thanks for your mail. The program runs now perfect with the select()
>MB> command, but only when i start the program in the Prompt-(MSDOS)-Window
in
>MB> WinNT. When i start it under VB6 then i see my program running in the
>MB> Taskmanager but consuming 99% of cpu time and the timeout is never
reached.
>MB> It looks like that everything is running except any timer functions.
What is
>MB> the difference here?
>MB> I have no other choice than to start the serial communication
application
>MB> under VB6.
>
>Use strace or debugger to attach to your application and look what's
>going on.
>
>It's not very clear, also, what do you mean "running under VB6".
>Is starting cmd.exe under VB6 and then running your application in cmd
>window makes a difference? Have you tried to check if environment, in
>which your application starts under VB6 different from your normal
>environment?
>
>>>Monday, 12 August, 2002 Michael Besl [email-masked] wrote:
>>>
>>>MB> i have written a serial communication application that uses the
normal
>>>MB> com-ports. I have compiled it under cygwin DLL 1.3.13 (latest
>>>MB> distribution)
>>>MB> and it works perfect with win98, but when i use the same DLL and the
>>>MB> same
>>>MB> program under winNT, then the c_cc[VTIME] seems not to work. So the
>>>MB> winNT is
>>>MB> waiting forever for a byte at the COM port. Do i have to change here
>>>MB> something at the source that it will also run under winNT?
>>>
>>>It's a bug in cygwin. Hopefully, it will be fixed soon (i have a
>>>working patch but it needs some cleanup).
>>>
>>>Meanwhile, as a workaround, you may want to use select() before read()
>>>and doesn't rely on termios features like this. Using select() is a
>>>cleaner solution because it would work on any type of input, not just
>>>ttys.
>
>Egor.            mailto:[email-masked] ICQ 5165414 FidoNet 2:5020/496.19
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/